%{?mingw_package_header}

Name:           mingw-freeglut
Version:        3.6.0
Release:        %mkrel 1
Summary:        MinGW alternative to the OpenGL Utility Toolkit (GLUT)

License:        MIT
Group:          Development/Other

URL:            https://freeglut.sourceforge.net/
Source0:        https://downloads.sourceforge.net/freeglut/freeglut-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils

BuildRequires:  make
BuildRequires:  cmake


%description
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.

# Win32
%package -n mingw32-freeglut
Summary:    MinGW alternative to the OpenGL Utility Toolkit (GLUT)

%description -n mingw32-freeglut
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.

# Win64
%package -n mingw64-freeglut
Summary:    MinGW alternative to the OpenGL Utility Toolkit (GLUT)

%description -n mingw64-freeglut
freeglut is a completely open source alternative to the OpenGL Utility
Toolkit (GLUT) library with an OSI approved free software
license. GLUT was originally written by Mark Kilgard to support the
sample programs in the second edition OpenGL 'RedBook'. Since then,
GLUT has been used in a wide variety of practical applications because
it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing
OpenGL contexts on a wide range of platforms and also read the mouse,
keyboard and joystick functions.


%{?mingw_debug_package}


%prep
%setup -q -n freeglut-%{version}


%build
%mingw_cmake -DFREEGLUT_REPLACE_GLUT:BOOL=ON
%mingw_make %{?_smp_mflags}


%install
%mingw_make_install

# No mingw32-freeglut-static as libglut.a is already part of mingw32-crt
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/libglut.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/libglut.a


%files -n mingw32-freeglut
%license COPYING
%doc AUTHORS ChangeLog README.md
%{mingw32_bindir}/libglut.dll
%{mingw32_libdir}/libglut.dll.a
%dir %{mingw32_includedir}/GL/
%{mingw32_includedir}/GL/freeglut.h
%{mingw32_includedir}/GL/freeglut_ext.h
%{mingw32_includedir}/GL/freeglut_std.h
%{mingw32_includedir}/GL/freeglut_ucall.h
%{mingw32_includedir}/GL/glut.h
%dir %{mingw32_libdir}/cmake/FreeGLUT/
%{mingw32_libdir}/cmake/FreeGLUT/FreeGLUT*.cmake
%{mingw32_libdir}/pkgconfig/glut.pc

%files -n mingw64-freeglut
%license COPYING
%doc AUTHORS ChangeLog README.md
%{mingw64_bindir}/libglut.dll
%{mingw64_libdir}/libglut.dll.a
%dir %{mingw64_includedir}/GL/
%{mingw64_includedir}/GL/freeglut.h
%{mingw64_includedir}/GL/freeglut_ext.h
%{mingw64_includedir}/GL/freeglut_std.h
%{mingw64_includedir}/GL/glut.h
%{mingw64_includedir}/GL/freeglut_ucall.h
%dir %{mingw64_libdir}/cmake/FreeGLUT/
%{mingw64_libdir}/cmake/FreeGLUT/FreeGLUT*.cmake
%{mingw64_libdir}/pkgconfig/glut.pc



%changelog
* Fri Jul 12 2024 daviddavid <daviddavid> 3.6.0-1.mga10
+ Revision: 2080858
- new version: 3.6.0

* Sun Mar 20 2022 umeabot <umeabot> 2.8.1-9.mga9
+ Revision: 1801889
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.8.1-8.mga8
+ Revision: 1492081
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.8.1-7.mga7
+ Revision: 1264271
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.8.1-6.mga6
+ Revision: 936565
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.8.1-5.mga5
+ Revision: 749679
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.1-4.mga5
+ Revision: 682431
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.8.1-3.mga4
+ Revision: 536175
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.8.1-2.mga4
+ Revision: 483578
- imported package mingw-freeglut


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.8.1-1
- Update to 2.8.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.8.0-2
- Added win64 support
- Automatically generate debuginfo subpackages

* Sun Jun 03 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.8.0-1
- Update to 2.8.0
- Dropped upstreamed patches

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.0-0.5.rc1
- Renamed the source package to mingw-freeglut (RHBZ #800866)
- Use mingw macros without leading underscore
- Dropped unneeded RPM tags

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.0-0.4.rc1
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 14 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.0-0.1.rc1
- Initial RPM release.
